> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kling-element-create

> Upload a reference image to create a reusable custom subject. Categories include people, animals, props, clothing, scenes, and effects.



## OpenAPI

````yaml en/api-reference/model-api/kuaishou/openapi/kling-element-create/openapi.yaml POST /kling/v1/general/advanced-custom-elements
openapi: 3.1.0
info:
  title: Kling create custom subject
  description: >-
    Create a custom subject (character, scene, prop, etc.) for Kling video
    generation
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /kling/v1/general/advanced-custom-elements:
    post:
      summary: Create a custom subject
      description: >
        Upload a reference image to create a reusable custom subject. Categories
        include people, animals, props, clothing, scenes, and effects.

        Returns a `task_id`. Poll the query API until `task_status` is
        `succeed`.
      operationId: createKlingCustomElementZh
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - element_name
                - element_description
                - reference_type
                - element_image_list
                - tag_list
              properties:
                element_name:
                  type: string
                  description: Subject name.
                  example: my-character
                element_description:
                  type: string
                  description: Subject description.
                  example: Lead character of the video series
                reference_type:
                  type: string
                  description: Reference type. Always `image_refer`.
                  enum:
                    - image_refer
                  example: image_refer
                element_image_list:
                  type: object
                  required:
                    - frontal_image
                    - refer_images
                  properties:
                    frontal_image:
                      type: string
                      description: Front reference image URL.
                      example: https://example.com/frontal.jpg
                    refer_images:
                      type: array
                      description: Additional reference images.
                      items:
                        type: object
                        required:
                          - image_url
                        properties:
                          image_url:
                            type: string
                            description: Reference image URL.
                            example: https://example.com/side.jpg
                tag_list:
                  type: array
                  description: |
                    Tag list. Available tag_id values:
                    - `o_101`: trending memes
                    - `o_102`: character
                    - `o_103`: animal
                    - `o_104`: prop
                    - `o_105`: clothing
                    - `o_106`: scene
                    - `o_107`: effect
                    - `o_108`: other
                  items:
                    type: object
                    required:
                      - tag_id
                    properties:
                      tag_id:
                        type: string
                        example: o_102
      responses:
        '200':
          description: Subject creation task submitted
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Task ID
                    example: '863121016086724692'
                  task_id:
                    type: string
                    description: Task ID (same as id)
                    example: '863121016086724692'
                  object:
                    type: string
                    description: Always `video`
                    example: video
                  model:
                    type: string
                    description: Always `kling-element`
                    example: kling-element
                  status:
                    type: string
                    description: Initially empty
                    example: ''
                  progress:
                    type: integer
                    description: Progress 0–100
                    example: 0
                  created_at:
                    type: integer
                    description: Unix timestamp
                    example: 1773812605
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````